package com.mvc.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;
import java.util.List;

//拷机报告业务主表
public class TChkrptModel {

    private Integer id;

    private String chkrptId;

    private String checkId;

    private String checkName;

    private Integer checkNum;

    private Integer checkQualNum;

    private Integer checkUnqualNum;

    private String chkrptDesc;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date createTime;

    private String createMan;

    private String invalidFlag;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date invalidTime;

    private String invalidMan;

    private String invalidBecause;

    private String checkMan;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date checkTime;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date startTime;

    @DateTimeFormat(pattern = "yyyyMMddHHmmss")
    @JsonFormat(pattern = "yyyyMMddHHmmss", timezone="GMT+8")
    private Date endTime;

    private List<TChkrptDetailModel>  detailList ;

    private Integer page;//页码

    private Integer rows;//每页条数

    private String queryDeviceSn;//根据SN查询相关报告使用 2022-11-14 guozhao

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getChkrptId() {
        return chkrptId;
    }

    public void setChkrptId(String chkrptId) {
        this.chkrptId = chkrptId;
    }

    public String getCheckId() {
        return checkId;
    }

    public void setCheckId(String checkId) {
        this.checkId = checkId;
    }

    public Integer getCheckNum() {
        return checkNum;
    }

    public void setCheckNum(Integer checkNum) {
        this.checkNum = checkNum;
    }

    public Integer getCheckQualNum() {
        return checkQualNum;
    }

    public void setCheckQualNum(Integer checkQualNum) {
        this.checkQualNum = checkQualNum;
    }

    public Integer getCheckUnqualNum() {
        return checkUnqualNum;
    }

    public void setCheckUnqualNum(Integer checkUnqualNum) {
        this.checkUnqualNum = checkUnqualNum;
    }

    public String getChkrptDesc() {
        return chkrptDesc;
    }

    public void setChkrptDesc(String chkrptDesc) {
        this.chkrptDesc = chkrptDesc;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getCreateMan() {
        return createMan;
    }

    public void setCreateMan(String createMan) {
        this.createMan = createMan;
    }

    public String getInvalidFlag() {
        return invalidFlag;
    }

    public void setInvalidFlag(String invalidFlag) {
        this.invalidFlag = invalidFlag;
    }

    public Date getInvalidTime() {
        return invalidTime;
    }

    public void setInvalidTime(Date invalidTime) {
        this.invalidTime = invalidTime;
    }

    public String getInvalidMan() {
        return invalidMan;
    }

    public void setInvalidMan(String invalidMan) {
        this.invalidMan = invalidMan;
    }

    public String getInvalidBecause() {
        return invalidBecause;
    }

    public void setInvalidBecause(String invalidBecause) {
        this.invalidBecause = invalidBecause;
    }

    public List<TChkrptDetailModel> getDetailList() {
        return detailList;
    }

    public void setDetailList(List<TChkrptDetailModel> detailList) {
        this.detailList = detailList;
    }

    public String getCheckMan() {
        return checkMan;
    }

    public void setCheckMan(String checkMan) {
        this.checkMan = checkMan;
    }

    public Date getCheckTime() {
        return checkTime;
    }

    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    public String getCheckName() {
        return checkName;
    }

    public void setCheckName(String checkName) {
        this.checkName = checkName;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Integer getPage() {
        return page;
    }

    public void setPage(Integer page) {
        this.page = page;
    }

    public Integer getRows() {
        return rows;
    }

    public void setRows(Integer rows) {
        this.rows = rows;
    }

    public String getQueryDeviceSn() {
        return queryDeviceSn;
    }

    public void setQueryDeviceSn(String queryDeviceSn) {
        this.queryDeviceSn = queryDeviceSn;
    }
}
